%define module	gmpy2

Summary:	Python interface to GMP
Name:		python-%{module}
Version:	2.0.8
Release:	%mkrel 1
Source0:	http://gmpy.googlecode.com/files/%{module}-%{version}.tar.xz
License: 	LGPLv3 and GPLv3
Group: 		Development/Python
Url: 		https://github.com/aleaxit/gmpy
Requires:	libgmp >= 4.2.4
BuildRequires:	libgmp-devel >= 4.2.4
BuildRequires:  python-devel
BuildRequires:	python3-devel
BuildRequires:	mpfr-devel
BuildRequires:	libmpc-devel

%description
The General Multiprecision PYthon project (GMPY) focuses on
Python-usable modules providing multiprecision arithmetic
functionality to Python programmers. The project mission includes both
C and C++ Python-modules (for speed) and pure Python modules (for
flexibility and convenience); it potentially includes integral,
rational and floating-point arithmetic in any base. Only
cross-platform functionality is of interest, at least for now.

%package -n 	python3-%{module}
Summary:	Python interface to GMP
Group:		Development/Python

%description -n python3-%{module}
he General Multiprecision PYthon project (GMPY) focuses on
Python-usable modules providing multiprecision arithmetic
functionality to Python programmers. The project mission includes both
C and C++ Python-modules (for speed) and pure Python modules (for
flexibility and convenience); it potentially includes integral,
rational and floating-point arithmetic in any base. Only
cross-platform functionality is of interest, at least for now.

%prep
%setup -q -n %{module}-%{version}

%build
find -name .svn | xargs rm -rf
python setup.py build

%install
python setup.py install --root=%{buildroot} --record=FILE_LIST

# now python3 version
python3 setup.py build
python3 setup.py install --root=%{buildroot} --record=FILE_LIST_P3

%files -f FILE_LIST
%doc README COPYING COPYING.LESSER test/

%files -n python3-%{module} -f FILE_LIST_P3
%doc README COPYING COPYING.LESSER test/

%changelog
* Wed Sep 06 2017 adrianomorselli <adrianomorselli> 2.08-1uplos2017
- imported for uplos
- initial import of gmpy2 based on gmpy1 spec
